
Foreman - Bug #749

Dhcpd range value not used?

03/15/2011 03:28 PM - Arnaud Sourioux

Status: Closed   

Priority: Normal   

Assignee:    

Category: Smart Proxy   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I set a smart proxy to manage my dhcpd

but when it tries to find an ip for my hosts,

the IPs aren't in the range I selected for my dhcpd

they always begin at xxx.xxx.xxx.2 and are incremented by one

I tried to set the range value thoses ways :

xxx.xxx.xxx.20-xxx.xxx.xxx.50

xxx.xxx.xxx.20 xxx.xxx.xxx.50

xxx.xxx.xxx.20;xxx.xxx.xxx.50

xxx.xxx.xxx.20,xxx.xxx.xxx.50

20-50

but it hasn't change anything

Related issues:

Is duplicate of Smart Proxy - Bug #884: IP proposed during Host creation does... Closed 05/06/2011

History

#1 - 06/22/2011 08:26 AM - D. Johnson

Few small items:

Smart-proxy knows how to read the range from dhcpd.conf, but does not convey that information back up to foreman.

Foreman might allocate new host IP values within the range above, ordered by last-reporting date.  (This way, allocated hosts that do not respond to

pings would still be at the end of the queue, and hosts that respond are not in the available pool at all)

Unmanaged hosts that are ping-able should not come up as a default-IP.  (Avoid clobbering with printers, routers, etc..)

#2 - 01/01/2012 10:35 AM - Ohad Levy

- Status changed from New to Closed

Applied in changeset commit:"440a88a9322e8c9f601c81ecc4993b82e1f1d8b3".
